OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
MaskInteriorVoxels< TreeT > Class Template Reference

`#include <Clip.h>`

## Public Types
typedef TreeT::ValueType | ValueT
typedef TreeT::LeafNodeType | LeafNodeT

## Public Member Functions
| MaskInteriorVoxels (const TreeT &tree)
template<typename LeafNodeType >
void | operator() (LeafNodeType &leaf, size_t) const

## Member Typedef Documentation

## ◆ LeafNodeT

typedef TreeT::LeafNodeType LeafNodeT

## ◆ ValueT

typedef TreeT::ValueType ValueT

## Constructor & Destructor Documentation

## ◆ MaskInteriorVoxels()

MaskInteriorVoxels | ( | const TreeT & | tree | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | LeafNodeType & | leaf,
|  | size_t |
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- Clip.h